#include "GameState.h"

void GameState :: gamestateLevelNewAfterDraw ()
{
  inputBufferIterator = inputBuffer.begin ();
  while (inputBufferIterator < inputBuffer.end ())
    {
      if (inputBufferIterator -> getInput () == INPUT_QUITGAME)
        {
          addQuitCommand ();
        }
      inputBufferIterator ++;
    }

  if (SDL_GetTicks () >= 1000 + startTime)
    {
      //turn off between levels
      rulez.setBetweenLevels (false);
      setNewGameState (GAMESTATE_MAP);
    }
}
